@charset "utf-8";

/* state ----------------------------- */
.state {
    margin-left: -1rem;
    margin-right: -1rem;
    padding-top: 5rem;
    background-color: #fff;
}

.state-head {
    text-align: center;
}

.state-title {
    font-size: 2rem;
    font-weight: 600;
}

.state-desc {
    margin-top: 1rem;
    color: rgba(0, 0, 0, 0.7);
}

.state-body {
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.state-ul {
    display: flex;
    justify-content: center;
}

.state-li {
    text-align: center;
    box-sizing: border-box;

    /* background-color: pink; */
    /* padding-left: 3rem;
    padding-right: 3rem; */
    /* margin-left: 3rem;
    margin-right: 3rem; */
}

.state-li + .state-li {
    /* margin-left: 4rem; */
    border-left: 1px solid rgba(0, 0, 0, 0.1);
}

.state-number, .state-unit, .state-term, .state-tips {
    display: block;
    /* margin-bottom: 1.5rem; */
    margin-right: 3rem;
    margin-left: 3rem;
}

.state-unit, .state-term, .state-tips {
    margin-top: 1rem;
}

.state-li .state-number, 
.state-li .state-unit, 
.state-li .state-term {
    color: #3eb5fe;
    font-weight: 600;
}

.state-li:nth-child(even) .state-number, 
.state-li:nth-child(even) .state-unit, 
.state-li:nth-child(even) .state-term {
    color: #33d8ab;
} 

.state-number {
    font-size: 5rem;
}

.state-unit {
    font-size: 1.5rem;
}

.state-term {
    font-size: 2rem;
}

.state-tips {
    color: rgba(0, 0, 0, 0.7);
}

.state-img {
    width: 100%;
    height: auto;
}

/* state ----------------------------- */
.env {
    display: flex;
    gap: 2rem;
    padding-top: 5rem;
    padding-bottom: 5rem;
    /* align-items: center; */
}

.env-head {
    width: 33.333333%;
}

.env-body {
    width: 66.666666%;
}

.env-img {
    max-width: 100%;
    height: auto;
}

.env-title {
    font-size: 2rem;
    font-weight: 600;
}

.env-desc {
    margin-top: 1rem;
    text-align: justify;
    line-height: 1.5;
    color: rgba(0, 0, 0, 0.7);
}

/* Mediaquery -------------------------------------------- */
@media screen and (max-width: 480px) {
    /* state -------------------------------------------- */
    .state-head, .state-body {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .state-ul {
        flex-wrap: wrap;
    }

    .state-li {
        width: 50%;
        /* box-sizing: border-box; */
        /* 我覺得在網頁版就加比較好 */
    }

    .state-li:nth-child(3) {
        border-left: none;
    }

    .state-li:nth-child(-n + 2) {
        padding-bottom: 1rem;
    }
    
    .state-li:nth-child(n + 3) {
        padding-top: 1rem;
        border-top: solid 1px rgba(0, 0, 0, .1);
    }

    .state-desc {
        line-height: 1.5;
    }

    .state-number {
        font-size: 12vw;
    }

    .state-unit {
        font-size: 5vw;
    }

    .state-term {
        /* font-size: 2rem; */
        font-size: 8vw;
    }

    /* .state-tips {

    } */

    .state-number, .state-unit, .state-term, .state-tips {
        margin-left: 1rem;
        margin-right: 1rem;
    }

    /* env -------------------------------------------- */
    .env {
        flex-direction: column;
        /* flex-direction: column-reverse; */
        /* 想上下顛倒也可以 */
        padding-bottom: 0;
    }

    .env-head, .env-body {
        width: 100%;
    }

}